;;
;; Sample configuration file for XEmacs.
;;

(setq lang (getenv "LANG"))
(if (or (equal lang "ja_JP.eucJP")
	(equal lang "ja_JP.ujis")
	(equal lang "ja_JP.EUC")
	(equal lang "japanese.euc"))
    (progn
      ;; Japanese configuration
      (set-language-environment 'japanese)
      (set-default-coding-systems 'euc-jp)
      (set-default-buffer-file-coding-system 'euc-jp)
      (set-buffer-file-coding-system-for-read 'euc-jp)
      (set-pathname-coding-system 'euc-jp)
      (set-keyboard-coding-system 'euc-jp)
      (set-terminal-coding-system 'euc-jp)
      (setq coding-system-for-read 'euc-jp)))

;; key binding
(global-set-key [f1] 'help-command)           ;; F1   Help
(global-set-key "\C-h" 'backward-delete-char) ;; Change C-h to delete

;; font-lock mode configuration
(setq font-lock-use-default-fonts nil)
(setq font-lock-use-default-colors nil)
(require 'font-lock)
(set-face-foreground 'font-lock-string-face "forest green")
(copy-face 'italic 'font-lock-comment-face)
(set-face-underline-p 'font-lock-comment-face nil 'global 'tty)
(set-face-highlight-p 'font-lock-comment-face t 'global 'tty)
(copy-face 'font-lock-comment-face 'font-lock-doc-string-face)
(set-face-foreground 'font-lock-comment-face "red")
(copy-face 'bold 'font-lock-function-name-face)
(set-face-foreground 'font-lock-function-name-face "blue")
;; misc. faces
(and (find-face 'font-lock-preprocessor-face) ; 19.13 and above
     (copy-face 'bold 'font-lock-preprocessor-face))
(copy-face 'italic 'font-lock-type-face)
(copy-face 'bold 'font-lock-keyword-face)

;; Display line and column number
(line-number-mode 1)
(column-number-mode 1)
(setq line-number-mode t)

;; Display time
;(display-time)

;; Input Japanese with egg Wnn6 
;(select-input-method "japanese-egg-wnn")
;; change 'nn' to 'n' ('N' is in "Wa Wo N")
;(setq enable-double-n-syntax t)

; Input Japanese with Canna
;(select-input-method "japanese-canna")

;; Wheel mouse
;(autoload 'mwheel-install "mwheel" "Enabal mouse wheel support.")
;(mwheel-install)
